OpenVDB 12.1.1

Loading...
Searching...
No Matches
MorphologyHelpers.h File Reference

This file implements helper methods used in morphology operations. More...

`#include <nanovdb/NanoVDB.h>`

Go to the source code of this file.

## Classes
struct | NearestNeighborBitMask< di, dj, dk >

## Namespaces
namespace | nanovdb
namespace | nanovdb::tools
namespace | nanovdb::tools::morphology

## Enumerations
enum | NearestNeighbors { NN_FACE = 6 , NN_FACE_EDGE = 18 , NN_FACE_EDGE_VERTEX = 26 }

## Functions
template<NearestNeighbors nnType>
__hostdev__ uint32_t | neighborMaskStencil (const nanovdb::Mask< 3 > &mask)

## Detailed Description

This file implements helper methods used in morphology operations.

Author
  Efty Sifakis

Date
  March 17, 2025